> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1viewerfiltered



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Viewer//swagger/v1/swagger.json post /api/v1/Viewer/Filtered
openapi: 3.0.0
info:
  title: NDS.Services.Viewer
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Viewer/
security: []
paths:
  /api/v1/Viewer/Filtered:
    post:
      tags:
        - Viewer
      operationId: Viewer_GetViewersFiltered
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetViewersFilteredRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetViewersResult'
components:
  schemas:
    GetViewersFilteredRequest:
      type: object
      additionalProperties: false
      properties:
        StatusFilter:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ViewerStatus'
        SearchString:
          type: string
          nullable: true
        IncludedViewerTypes:
          type: array
          nullable: true
          items:
            type: string
        ExcludedViewerTypes:
          type: array
          nullable: true
          items:
            type: string
        Sorting:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/SortData3'
        Paging:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/PagingData4'
        ChildOf:
          type: array
          nullable: true
          items:
            type: string
            format: guid
        IsOrphaned:
          type: boolean
          nullable: true
        KeepGroupsTogether:
          type: boolean
          nullable: true
        Ids:
          type: array
          nullable: true
          items:
            type: string
            format: guid
        IncludChildrenOfIds:
          type: boolean
          nullable: true
        ExcludedIds:
          type: array
          nullable: true
          items:
            type: string
            format: guid
    GetViewersResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            Viewers:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/Viewer3'
            TotalItems:
              type: integer
              format: int64
    ViewerStatus:
      type: integer
      description: ''
      x-enumNames:
        - Online
        - Offline
      enum:
        - 0
        - 1
    SortData3:
      type: object
      additionalProperties: false
      properties:
        SortBy:
          $ref: '#/components/schemas/SortOptions3'
        Descending:
          type: boolean
    PagingData4:
      type: object
      additionalProperties: false
      properties:
        Start:
          type: integer
          format: int32
          nullable: true
        Items:
          type: integer
          format: int32
          nullable: true
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    Viewer3:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          format: guid
        Name:
          type: string
          nullable: true
        Description:
          type: string
          nullable: true
        Type:
          type: string
          nullable: true
        Online:
          type: boolean
        Parents:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/ViewerParent'
        HardwareId:
          type: string
          nullable: true
        MacAddress:
          type: string
          nullable: true
        LastConnected:
          type: string
          format: date-time
          nullable: true
        Password:
          type: string
          nullable: true
        ConnectedSince:
          type: string
          format: date-time
          nullable: true
        ViewerSessionId:
          type: string
          nullable: true
        ServerName:
          type: string
          nullable: true
        IpAddress:
          type: string
          nullable: true
        License:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/LicenseType'
        Permissions:
          type: string
          nullable: true
    SortOptions3:
      type: integer
      description: ''
      x-enumNames:
        - Name
        - Description
        - Type
      enum:
        - 0
        - 1
        - 2
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
    ViewerParent:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          format: guid
        Name:
          type: string
          nullable: true
    LicenseType:
      type: object
      additionalProperties: false
      properties:
        ID:
          type: string
          nullable: true
        Name:
          type: string
          nullable: true
        ApplicationType:
          type: string
          nullable: true
        Total:
          type: integer
        Used:
          type: integer
        IsDemo:
          type: boolean
        ValidFrom:
          type: string
          format: date-time
          nullable: true
        ValidUntil:
          type: string
          format: date-time
          nullable: true
        Restricted:
          type: boolean
        Elements:
          type: array
          nullable: true
          items:
            type: string

````